# Method: members.update

Updates the membership of a user in the specified group.

### HTTP request

`PUT https://admin.googleapis.com/admin/directory/v1/groups/{groupKey}/members/{memberKey}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `groupKey` | `string` Identifies the group in the API request. The value can be the group's email address, group alias, or the unique group ID. |
| `memberKey` | `string` Identifies the group member in the API request. A group member can be a user or another group. The value can be the member's (group or user) primary email address, alias, or unique ID. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/members#Member`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/members#Member`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://apps-apis.google.com/a/feeds/groups/`
- `
  https://www.googleapis.com/auth/admin.directory.group`
- `
  https://www.googleapis.com/auth/admin.directory.group.member`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).